﻿@model List<SportsClub.Areas.Dashboard.Models.DashboardMenuItemViewModel>

@{
    Layout = null;
}
<div class="blade-bar">
    <a ng-click="MC.closeBlade(step)">
        <i class="icon-cancel-2"></i>
    </a>
    <a ng-click="step.isExpanded = false">
        <i class="icon-minus-2"></i>
    </a>
    <div class="clearfix"></div>
</div>
<h3 class="blade-title show-in-collapse-mode">
    <a class="fg-white title  show-in-collapse-mode has-edit-link" ng-click="step.isExpanded = true">{{MC.currentSeason.Title}}</a>
</h3>
<div class="margin-bottom10 border-menu" ng-controller="seasonController">
    <label class="switch-base">
        <input  type="checkbox"  ng-click="switchSeasonMode()" ng-true-value="'Live'" ng-false-value="'Test'" ng-model="MC.currentSeason.CheckStatus" name="live_test_ck">
        <span class="slider round"></span>
    </label>
</div>
<ul class="list">

    @foreach (var menuItem in Model)
    {
        <li ng-class="{active: MC.activeSection == '@menuItem.Name' }">
            <a class="blade-item-title" ui-sref="@menuItem.Link" ng-click="MC.activeSection = '@menuItem.Name'">
                <i class="@menuItem.Icon on-left-more"></i>
                @menuItem.Title
            </a>
        </li>
    }
</ul>

<div ng-show="CurrentSeason.ShowConfirmation" ng-class="{'active':CurrentSeason.ShowConfirmation}" class="jb-confirm" ng-controller="seasonController">
    <div>
        <div class="red-modal">
            <div ng-if="MC.currentSeason.Status == 'Live'">
                <h3 class="modal-title"> Switching your season from the live to test mode has the following impacts:</h3>
                <ul class="modal-list-info">
                    <li>You will no longer see the live registrations. We will retain all the data and you can access them again in the live mode.</li>
                    <li>All your programs, coupons, discounts, etc. remain the same.</li>
                    <li>All the automatic payment methods (Stripe, PayPal and eCheck) will be conducted with paper money.</li>
                    <li>You can switch back from the test to live mode at any time.</li>
                </ul>
                <div class="box-confirm">
                    <p>Are you sure you want to switch {{MC.currentSeason.Title}} season from the live mode to the test mode? Type the season name ({{MC.currentSeason.Title}}) in the box below to confirm?</p>
                    <label for="seasonName">Season name</label>
                    <input ng-model="MC.currentSeason.EnteredTitle" type="text" />
                    <div class="clearFix"> </div>
                </div>
            </div>

            <div ng-if="MC.currentSeason.Status == 'Test'">
                <h3 class="modal-title">Switching your season from the test to live mode has the following impacts:</h3>
                <ul class="modal-list-info">
                    <li>You will no longer see the test registrations. We will retain all the data and you can access them again in the test mode.</li>
                    <li>All your programs, coupons, discounts, etc. remain the same.</li>
                    <li>All the automatic payment methods (Stripe, PayPal and eCheck) will be conducted with actual money.</li>
                    <li>You can switch back from the live to test mode at any time.</li>
                </ul>
                <div class="box-confirm">
                    <p>Are you sure you want to switch {{MC.currentSeason.Title}} season from the test mode to the live mode? Type the season name ({{MC.currentSeason.Title}}) in the box below to confirm?</p>
                    <input ng-model="MC.currentSeason.EnteredTitle" type="text" />
                    <div class="clearFix"> </div>
                </div>
            </div>

            <button ng-click="switchLiveTestMode()" ng-disabled="MC.currentSeason.EnteredTitle != MC.currentSeason.Title" class="large bg-white fg-darkRed place-right yes btn-event">Yes, I'm sure</button>
            <button ng-click="cancelChangeMode()" class="large bg-transparent fg-white place-right margin-right20 no">Cancel</button>
        </div>
    </div>
</div>
